## org.exist.xmldb
Interface ShutdownListener

public interface ShutdownListener

Instances of this class can be registered with the BrokerPool to get informed when the database shuts down. The shutdown method is called after the database instance has been shut down.

Author:
  wolf

Method Summary
`void` `shutdown(java.lang.String dbname, int remainingInstances)` The database instance identified by dbname has been shut down.

Method Detail

### shutdown

    public void shutdown(java.lang.String dbname,
                         int remainingInstances)

  The database instance identified by dbname has been shut down.

  Parameters:
    `dbname` - The name of the database instance.
    `remainingInstances` - Number of remaining database instances.

Copyright (C) Wolfgang Meier. All rights reserved.